Revenir de 2.0 vers 1.8.6?

J’ai essayé de passer sans succès en 2.0, mais comment retourenr en
1.8.6 facilement?

De plus, est il possible d’avoir les deux environnement sur une meme
machine simultanement?

Pour info, j’ai deux problemes:

  • request (par exemple, request.subdomains) ne semble plus fonctionner

  • une erreur dans active record, généré par act_as_rateable:
    The :dependent option expects either :destroy, :delete_all,
    or :nullify (true)

    Pas trop le temp d’investiguer, donc je prefere revenir en terrain
    connu…

    Merci d’avance…

1.2.6 plutôt qu’1.8.6 non ?
Un “gem install rails -v 1.2.6” devrait aller je pense, non ?

Cdt,

Jean-Baptiste BARTH

tomsoft a écrit :

plus efficace à mon sens, le freeze:

rake rails:freeze:edge TAG=rel_1-2-6

Ca a le mérite de permettre X Framework rails sur une même machine.

2007/12/10, Jean-Baptiste BARTH [email protected]:

le plus simple AMHA, tu installes la version que tu veux :
$ gem install rails -v 1.2.6

et ensuite tu peux créer un nouveau projet en version 1.2.6 à l’aide
de cette commande :
$ rails 1.2.6 monapplication

Car la commande suivante crééera un projet avec la dernière version de
Rails installer sur ta machine (donc 2.0.0) :
$ rails monapplication

Si tu en as besoin que dans une seule application déjà existante comme
l’a dit TsIH tu peux te positionner à la racine de ce projet et lancer
la commande suivante :
$rake rails:freeze:edge TAG=rel_1-2-6

Mathieu

On Dec 10, 2007 12:18 AM, TslH [email protected] wrote:

Un “gem install rails -v 1.2.6” devrait aller je pense, non ?


Mathieu FOSSE

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs